package com.ssj.bean.sys.give;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * 服务赠送记录实体
 * @author Mount Liu
 * @date 2019/5/13
 */
@Entity
@Table(name = "tb_give_record")
public class GiveRecord extends BaseEntity {
    private static final long serialVersionUID = 890135943022798129L;
    /**
     * 会员id
     */
    private String vipId;
    /**
     * 卡种类
     */
    private String species;
    /**
     * 卡类型
     */
    private String type;
    /**
     * 数量
     */
    private int quantity;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 赠送方式
     * 1:试用机赠送 2：优惠机赠送 3:校长端消耗塾币添加 4:因节假日添加 5：因节假日减去
     */
    private int giveWay;
    /**
     * 校区节假日id
     */
    private String vacationLimitId;
    /**
     * 会员服务id
     */
    private String vipServiceId;
    /**
     * 是否失效（1：失效，0：有效）
     */
    private int invalid;

    public String getVipServiceId() {
        return vipServiceId;
    }

    public void setVipServiceId(String vipServiceId) {
        this.vipServiceId = vipServiceId;
    }

    public int getInvalid() {
        return invalid;
    }

    public void setInvalid(int invalid) {
        this.invalid = invalid;
    }

    public String getVacationLimitId() {
        return vacationLimitId;
    }

    public void setVacationLimitId(String vacationLimitId) {
        this.vacationLimitId = vacationLimitId;
    }

    public int getGiveWay() {
        return giveWay;
    }

    public void setGiveWay(int giveWay) {
        this.giveWay = giveWay;
    }
    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }

    public String getSpecies() {
        return species;
    }

    public void setSpecies(String species) {
        this.species = species;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public int getQuantity() {
        return quantity;
    }

    public void setQuantity(int quantity) {
        this.quantity = quantity;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

}
